As you may be aware, a critical vulnerability in Open SSL was recently discovered called "The Heartbleed Bug". This bug had the potential to expose sensitive data such as passwords and credit card numbers to hackers. Heartbleed affected a vast number of servers including those used by companies such as Yahoo and Google.  We have already incorporated a patch on our servers to rectify the issue.
In the meantime, you may want to take extra precaution by changing your passwords.

NEWEST PRODUCTS

4 Inch Chiffon Bows
$5.95
Kendra Carseat Cover
$29.95
Lace Bloomers
Hot Deal
$11.95
Party Pettiskirt
$29.95
Rosette Minky Blanket
$18.95
$8.95